Posts
Deletes a post as the app does: nothing scheduled is sent and a published post is removed from its network. Test applications have nothing real to delete.
DELETE https://api.sofia-post.com/api/v1 / posts / {id} Try it DELETE https://api.sofia-post.com/api/v1 / posts / {id} Send Delete a post curl -X DELETE 'https://api.sofia-post.com/api/v1/posts/{id}' \
-H "Authorization: Bearer $SOFIA_API_KEY" {
"error" : {
"code" : "invalid_request" ,
"message" : "The request is invalid" ,
"docUrl" : "https://www.sofia-post.com/developers/errors#invalid_request" ,
"requestId" : "2aab5943-6333-4caf-8478-25a85ebd4abf"
}
}Delete a post curl --request DELETE \
--url 'https://api.sofia-post.com/api/v1/posts/<id>' \
--header "Authorization: Bearer $SOFIA_API_KEY" {
"error" : {
"code" : "invalid_request" ,
"message" : "The request is invalid" ,
"docUrl" : "https://www.sofia-post.com/developers/errors#invalid_request" ,
"requestId" : "2aab5943-6333-4caf-8478-25a85ebd4abf"
}
}DELETE /v1/posts/{id} answers 204. While a network is sending the post, the response is 409 post_in_flight: try again a moment later.
Path parameters idstring required
Identifier of the post.
Response 204 401 402 403 404 409 4XX - application/json Deleted: nothing will be sent.
Was this page helpful? Yes No